#ifndef PARALLEL_H
#define PARALLEL_H

typedef void (*worker_t)(int id, void* arg);

void in_parallel(unsigned int num_threads, worker_t worker, void* arg,
		 int use_barrier, int set_affinity);

pid_t gettid(void);

int migrate_to(unsigned int cpu);

#endif
