#ifndef SPARC64_MEM_H
#define SPARC64_MEM_H

#define mb() barrier()

static inline void barrier(void)
{
	__asm__ __volatile__(
		"membar #LoadLoad | #LoadStore | #StoreStore | #StoreLoad"
		: : : "memory");
}


#define cpu_relax() barrier()


static inline u8* lsb32(u32 *word)
{
	u8 *bytes = (u8*) word;
	return bytes + 3;
}

#endif
